# Method: accounts.clients.users.update

- [HTTP request](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.clients.users/update#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.clients.users/update#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.clients.users/update#body.request_body)
- [Response body](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.clients.users/update#body.response_body)
- [Authorization Scopes](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.clients.users/update#body.aspect)
- [Try it!](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.clients.users/update#try-it)

Updates an existing client user. Only the user status can be changed on update.

### HTTP request

`PUT https://adexchangebuyer.googleapis.com/v2beta1/accounts/{accountId}/clients/{clientAccountId}/users/{userId}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `accountId` | `string (https://developers.google.com/discovery/v1/type-format format)` Numerical account ID of the client's sponsor buyer. (required) |
| `clientAccountId` | `string (https://developers.google.com/discovery/v1/type-format format)` Numerical account ID of the client buyer that the user to be retrieved is associated with. (required) |
| `userId` | `string (https://developers.google.com/discovery/v1/type-format format)` Numerical identifier of the user to retrieve. (required) |

### Request body

The request body contains an instance of `https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.clients.users#ClientUser`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.clients.users#ClientUser`.

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/adexchange.buyer`